/*
    SDL_Go - a GUI for GnuGo    
    Copyright (C) 2000  Andreas Rver

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    
    Homepage: http://www.rz.tu-ilmenau.de/~roever/SDL_Go
    Email: andreas_roever@yahoo.com
*/



/**
 * represent a color with 4 components
 */

#ifndef COLOR__H_
#define COLOR__H_

#include <SDL/SDL.h>
#include <iostream.h>

class Color {
  public:
    /**
     * initializes to transparent color
     */
    Color() : r(0), g(0), b(0), a(255) { }
    Color(Uint8 red, Uint8 green, Uint8 blue, Uint8 alpha = 0) : r(red), g(green), b(blue), a(alpha) { }
    Color(istream &in) { in.read(&r, 1); in.read(&g, 1); in.read(&b, 1); a = 0; }
  
    Uint8 red() const { return r; }
    Uint8 green() const { return g; }
    Uint8 blue() const { return b; }
    Uint8 alpha() const { return a; }
    
    operator SDL_Color() const { SDL_Color c; c.r = r; c.g = g; c.b = b; return c; }
    
  
  private:
    Uint8 r, g, b, a;
};


#endif
